Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.settings/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.editor.settings
Class CodeTemplateSettings

    java.lang.Object
      org.netbeans.api.editor.settings.CodeTemplateSettings

    public abstract class CodeTemplateSettings

extends Object

Code templates settings are represented by map of key=<String>code template name and value=<String>code template string.
Instances of this class should be retrieved from the `MimeLookup` for a given mime-type.
This class must NOT be extended by any API clients

Constructor Summary
`CodeTemplateSettings()` Construction prohibited for API clients.

Method Summary
`abstract List` | `getCodeTemplateDescriptions()` Gets list of code template descriptions.
`abstract KeyStroke` | `getExpandKey()` Get the keystroke that expands the code templates abbreviations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeTemplateSettings

    public CodeTemplateSettings()

  Construction prohibited for API clients.

Method Detail

### getCodeTemplateDescriptions

    public abstract List getCodeTemplateDescriptions()

  Gets list of code template descriptions.

  Returns:
    non-modifiable list of the code template descriptions.

### getExpandKey

    public abstract KeyStroke getExpandKey()

  Get the keystroke that expands the code templates abbreviations.

  Returns:
    non-null keystroke that expands the code template abbreviations into code templates.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.settings/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.